Commit ff893b7a authored by Kenneth Reitz's avatar Kenneth Reitz

collectstatic

parent 034fbc1c
...@@ -48,14 +48,20 @@ except Exception: ...@@ -48,14 +48,20 @@ except Exception:
EOF EOF
# Compile assets.
# Collect static files.
set +e set +e
echo "-----> Collecting static files" echo "-----> Collecting static files"
OUT=$(python $PROJECT/manage.py collectstatic --noinput )
OUT=$(python $PROJECT/manage.py collectstatic --noinput 2>&1)
[ $? -ne 0 ] && STATIC_FAILED=1
if [ "$STATIC_FAILED" ]; then
echo " ! Error running manage.py collectstatic. See http://devcenter.heroku.com/articles/django-assets for more info."
else
echo "$OUT" | indent
fi
[ $? -ne 0 ] && {
echo " ! Error running manage.py collectstatic. See http://devcenter.heroku.com/articles/django-assets for more info."
echo "$OUT" | indent >&2
}
set -e set -e
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment